Package docking.action.builder

# Class MultiActionBuilder

java.lang.Object
docking.action.builder.AbstractActionBuilder<MultiActionDockingAction,ActionContext,MultiActionBuilder>
docking.action.builder.MultiActionBuilder

public class MultiActionBuilder extends AbstractActionBuilder<MultiActionDockingAction,ActionContext,MultiActionBuilder>
Builder for `MultiActionDockingAction`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class docking.action.builder.AbstractActionBuilder

  `AbstractActionBuilder.When`

- ## Field Summary

  ### Fields inherited from class docking.action.builder.AbstractActionBuilder

  `actionCallback, actionContextClass, keyBindingType, name, owner`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiActionBuilder(String name, String owner)`
  Builder constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MultiActionDockingAction`
  `build()`
  Builds the action.
  `protected MultiActionBuilder`
  `self()`
  Returns this (typed for subclass) for chaining
  `protected void`
  `validate()`
  `MultiActionBuilder`
  `withActions(List<DockingActionIf> list)`
  Configure a `List` of `DockingActionIf` to provide to the `MultiActionDockingAction`

  ### Methods inherited from class docking.action.builder.AbstractActionBuilder

  `buildAndInstall, buildAndInstallLocal, decorateAction, description, enabled, enabledWhen, helpLocation, inWindow, isKeyBindingAction, isMenuAction, isPopupAction, isToolbarAction, keyBinding, keyBinding, menuGroup, menuGroup, menuIcon, menuMnemonic, menuPath, onAction, popupMenuGroup, popupMenuGroup, popupMenuIcon, popupMenuPath, popupWhen, sharedKeyBinding, toolBarGroup, toolBarGroup, toolBarIcon, toolBarIcon, validContextWhen, validWhen, withContext, withContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiActionBuilder

    public MultiActionBuilder(String name, String owner)
    Builder constructor
    Parameters:
      `name` - the name of the action to be built
      `owner` - the owner of the action to be build

- ## Method Details

  - ### self

    protected MultiActionBuilder self()
    Description copied from class: `AbstractActionBuilder`
    Returns this (typed for subclass) for chaining
    Specified by:
      `self` in class `AbstractActionBuilder<MultiActionDockingAction,ActionContext,MultiActionBuilder>`
    Returns:
      this for chaining

  - ### build

    public MultiActionDockingAction build()
    Description copied from class: `AbstractActionBuilder`
    Builds the action. To build and install the action in one step, use `AbstractActionBuilder.buildAndInstall(Tool)` or `AbstractActionBuilder.buildAndInstallLocal(ComponentProvider)`. `AbstractActionBuilder.inWindow(When)`
    Specified by:
      `build` in class `AbstractActionBuilder<MultiActionDockingAction,ActionContext,MultiActionBuilder>`
    Returns:
      the newly build action

  - ### withActions

    public MultiActionBuilder withActions(List<DockingActionIf> list)
    Configure a `List` of `DockingActionIf` to provide to the `MultiActionDockingAction`
    Parameters:
      `list` - a `List` of `DockingActionIf` to provide to the `MultiActionDockingAction`
    Returns:
      this MultiActionDockingActionBuilder (for chaining)

  - ### validate

    protected void validate()
    Overrides:
      `validate` in class `AbstractActionBuilder<MultiActionDockingAction,ActionContext,MultiActionBuilder>`